#
# spec file for package gpart
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gpart
Version:        0.3
Release:        1.30
Summary:        Tool That Can Guess a Lost Partition Table
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://www.brzitwa.de/mb/gpart/index.html
Source:         https://github.com/baruch/gpart/archive/%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake

%description
Gpart is a small tool that tries to guess what partitions are on a PC
type hard disk in case the primary partition table was damaged. Gpart
supports, among others, partitions formatted as ext2, FAT 12/16/32,
ReiserFS, NTFS, and HPFS. Read the file
%{_docdir}/gpart/README and the gpart man page before
using gpart.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install
rm -rf %{buildroot}%{_datadir}/doc

%files
%defattr(-,root,root)
%doc COPYING Changes LSM README.md
%{_sbindir}/gpart
%{_mandir}/man8/gpart.8%{ext_man}

%changelog
* Sun Jan 24 2016 mpluskal@suse.com
- Update to 3.0
  * Add LVM2 and Btrfs support
* Mon Nov  9 2015 p.drouand@gmail.com
- Update to version 0.2.2
  * No changelog available for this version
- Changes from version 0.2.1
  * Fixes the build from the dist tarball.
- Changes from version 0.2
  * Now defaulting to sector sized jumps to find the 4k and 1M aligned
    partitions rather than default to the cylinder alignment that is
    unused anymore
  * Fixed detection of end of disk to not give precedence to the CHS
    adderssing
- Upstream switched to autotools
  * Add autoconf/automake requirements
  * Use %%configure macro
- Remove obsolete patches
  * gpart-0.1h-array_overflow.diff
  * gpart-0.1h-array_overflow2.diff
  * gpart-0.1h-glibc_2.7_open.patch
  * gpart-0.1h-kernel_syscall.diff
  * gpart-0.1h.diff
  * gpart-0.1h.log.patch
- Use download Url as source
* Mon Apr 20 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Do not use url for download as mirrors are gone
* Wed Mar 27 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Thu Apr 22 2010 puzel@novell.com
- update homepage url (bnc#498197)
* Fri Nov 30 2007 pcerny@suse.cz
- fixed call to open for use with glibc 2.7
* Wed Nov  8 2006 prusnak@suse.cz
- fixed array overflow on multiple places [#159103 was reopened]
* Fri Oct 20 2006 olh@suse.de
- dont define __KERNEL__ in userland. use lseek instead
  fix log warning
  build parallel
* Thu Oct 12 2006 ro@suse.de
- define __KERNEL__ to get syscalf define from linux/unistd.h
* Thu Mar 23 2006 anicka@suse.cz
- fix array overflow [#159103]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 schwab@suse.de
- Don't strip binaries.
* Thu May 12 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Mon Jun 16 2003 coolo@suse.de
- use BuildRoot
* Fri Nov 29 2002 prehak@suse.cz
- included <errno.h> where needed in order to compile with gcc 3.3
- small adjustments in specfile
* Tue Jul 24 2001 uli@suse.de
- update -> 0.1h
* Thu Apr 12 2001 uli@suse.de
- disabled useless #ifdef (fixes 390)
* Thu Nov 30 2000 uli@suse.de
- update -> 0.1g
* Mon May 15 2000 schwab@suse.de
- Fix for ia64.
* Sun Jan 30 2000 kukuk@suse.de
- Fix SPARC fix
- Move /usr/man -> /usr/share/man
* Mon Dec  6 1999 kukuk@suse.de
- Fix for SPARC
* Tue Oct 26 1999 uli@suse.de
- update -> 0.1e
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 13 1999 uli@suse.de
- fixed for PPC; I doubt this will do anything useful on these
  machines, though...
* Mon Jan 25 1999 uli@suse.de
- new package, version 0.1b
